#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gep.api.util.ApiRequest import ApiRequest
from gep.api.util.FileItem import FileItem

if __name__ == '__main__':
    path = "/api/agent/common/file/upload-file"
    # 设置文件
    f = open("D:/GEP/GEP-WORK/test.jpg", "rb")
    file = FileItem(file_name="test.jpg", file_content=f.read())
    f.close()
    multipart_params = {
        "file": file
    }

    data_params = {
        "userNo": "5181240322000274308",
        "fileName": file.get_file_name(),
        "fileMd5encryption": file.get_file_md5(),
        "fileType": "ID_FRONT_REAL_NAME"
    }
    client = ApiRequest()
    client.execute(path, data_params, multipart_params)