#!/usr/bin/env python
# -*- coding: utf-8 -*-
import json


class GepResponse(object):
    def __init__(self):
        self.success = None
        self.errorMsg = None
        self.errorCode = None
        self.result = None
        self.agentNo = None
        self.certificateId = None
        self.userNo = None

    def parse(self, response_str):
        response = json.loads(response_str)
        if 'success' in response:
            self.success = response['success']
        if 'errorMsg' in response:
            self.errorMsg = response['errorMsg']
        if 'errorCode' in response:
            self.errorCode = response['errorCode']
        if 'result' in response:
            self.result = response['result']
        if 'agentNo' in response:
            self.agentNo = response['agentNo']
        if 'certificateId' in response:
            self.certificateId = response['certificateId']
        if 'userNo' in response:
            self.userNo = response['userNo']
        return response